{% extends "layout.j2" %}
{% block body %}

<!-- <h2>Release a machine to install</h2> -->

<form action="{{ url_for('release') }}" id="machines" method="post">
<table class="campl-table campl-table-bordered campl-table-striped campl-vertical-stacking-table">
    <tr>
        <th>Hostname</th>
        <th>Last Seen</th>
        <th>MAC</th>
        <th>Released</th>
        <th>Toggle Release!</th>
    </tr>
    {% for machine in machines %}
    <tr>
        <td>{{ machine.hostname }}</td>
        <td>{{ machine.lastchanged }}</td>
        <td>{{ machine.macaddress }}</td>
        <td>{{ 'Yes' if machine.released == 1 else 'No' }}</td>
        <td>
            <button  class="campl-btn" form="machines" type="submit" id="" value="{{ machine.macaddress }}" name="release" >&#9762;</button>
        </td>
    </tr>
    {% endfor %}
</table>
</form>
<p>
<a href="https://apps.ch.cam.ac.uk/triggers">Go to triggers</a>
</p>

{% endblock %}
